      #include <windows.h>

      LRESULT CALLBACK WndProc(HWND,UINT,WPARAM,LPARAM);

      HANDLE hInstance;
      HANDLE hWnd;                                  // global main window handle
      HICON  hIcon;                                 // local icon handle
      HANDLE hMenu;



int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
    LPSTR lpCmdLine, int nCmdShow)

    {
      LPMSG         pmsg;                           // pointer for MSG structure
      WNDCLASSEX *  pwc;                            // pointer to WNDCLASSEX structure
      MSG           msg;                            // local msg structure
      WNDCLASSEX    wc;                             // local structure for RegisterClassEx
      int           wid;
      int           hgt;
      int           Sw;
      int           Sh;
      char          szTitle[]       = "Microsoft C Template";
      char          szWindowClass[] = "C_Template";

      /* --------------------------------
      get the application instance handle
      -------------------------------- */
      hInstance = GetModuleHandle(NULL);

      /* ---------------------------------
      Copy structure addresses to pointers
      --------------------------------- */
      pmsg = &msg;
      pwc  = &wc;

      hIcon = LoadIcon(hInstance,(LPCTSTR)5);

      wc.cbSize           = sizeof(WNDCLASSEX);
      wc.style            = CS_BYTEALIGNWINDOW | CS_BYTEALIGNCLIENT;
      wc.lpfnWndProc      = (WNDPROC)WndProc;
      wc.cbClsExtra       = 0;
      wc.cbWndExtra       = 0;
      wc.hInstance        = hInstance;
      wc.hIcon            = hIcon;
      wc.hCursor          = LoadCursor(NULL, IDC_ARROW);
      wc.hbrBackground    = (HBRUSH)(COLOR_WINDOW+1);
      wc.lpszMenuName     = NULL;
      wc.lpszClassName    = szWindowClass;
      wc.hIconSm          = hIcon;

      RegisterClassEx(pwc);     

      Sw = GetSystemMetrics(SM_CXSCREEN);              // screen width
      Sh = GetSystemMetrics(SM_CYSCREEN);              // screen height

      wid = Sw * .70;
      hgt = Sh * .70;

      /* -------------------------------
      limit the aspect ratio to 1.4 to 1
      ------------------------------- */
      if (wid > hgt * 1.4)
        {
        wid = hgt * 1.4;
        }

      hWnd = CreateWindowEx(WS_EX_LEFT,
                            szWindowClass,
                            szTitle,
                            WS_OVERLAPPEDWINDOW,
                            Sw/2-wid/2,
                            Sh/2-hgt/2,
                            wid,hgt,
                            NULL,NULL,hInstance,NULL);


      hMenu = LoadMenu(hInstance,(LPCTSTR)10);
      SetMenu(hWnd,hMenu);

      ShowWindow(hWnd,SW_SHOW);
      UpdateWindow(hWnd);

      while (GetMessage(pmsg,NULL,0,0))
        {
        switch (msg.message)
          {
          case WM_KEYUP:
            {
            switch (msg.wParam)
              {
              case VK_F1:
                {
                MessageBox(hWnd,"You pressed the F1 key","Howdy",MB_OK);
                break;
                }

              case VK_F2:
                {
                MessageBox(hWnd,"You pressed the F2 key","Howdy",MB_OK);
                break;
                }
              }
            }
          }
        TranslateMessage(pmsg);
        DispatchMessage(pmsg);
        }
     return msg.wParam;
    }

LRESULT CALLBACK WndProc(HWND hWin,UINT uMsg,WPARAM wParam,LPARAM lParam)

  {
      switch (uMsg)
      {
        case WM_COMMAND:
        {
        switch (wParam)
            {
            case 1010:
              MessageBox(hWnd,"Open File","Howdy",MB_OK);
              break;

            case 1020:
              MessageBox(hWnd,"Save File","Howdy",MB_OK);
              break;

            case 1090:
              SendMessage(hWnd,WM_SYSCOMMAND,SC_CLOSE,(LPARAM)NULL);
              break;

            case 5000:
              MessageBox(hWnd,"C template with no STATIC C runtime library","About",MB_OK);
              break;
            }
        break;
        }

        case WM_CLOSE:
          MessageBox(hWnd,"WM_CLOSE Here","Howdy",MB_OK);
          break;

        case WM_DESTROY:
          PostQuitMessage(0);
          break;
      }

    return DefWindowProc(hWin,uMsg,wParam,lParam);

  }
